FROM python:3.8

ENV PYTHONUNBUFFERED=1

# Install requirements (cache purposes since grpcio dependency could take time to install)
COPY ./requirements.txt /tmp/requirements.txt
RUN pip install -r /tmp/requirements.txt

COPY ./mqtt_router.py /usr/src/mqtt_router.py
CMD ["/usr/src/mqtt_router.py"]
